/// @author: ygao
/// @date: 2023/4/09
/// @version: 1.0
/// @description:

import 'package:flutter/material.dart';

import 'routes/fl_route.dart';

class FoundationalLibrary {
  static GlobalKey<NavigatorState>? navigatorKey;

  static get context {
    if (navigatorKey == null) {
      throw FlutterError('未初始化NavigatorKey');
    }
    return navigatorKey!.currentContext;
  }

  static Widget init(BuildContext context, Widget? child) {
    return Material(
      child: Overlay(
        initialEntries: [
          OverlayEntry(builder: (c) => child ?? Container()),
        ],
      ),
    );
  }

  static pushNamedAndRemove(String name) {
    FlRoute.instance.pushNamedAndRemove(name);
  }

  static popAndPushNamed(String name) {
    FlRoute.instance.popAndPushNamed(name);
  }

  static pushNamed(String name) {
    FlRoute.instance.pushNamed(name);
  }

  static push(Widget widget) {
    FlRoute.instance.push(widget);
  }

  static pop() => FlRoute.instance.pop();
}
