/// @author: ygao
/// @date: 2023/4/21
/// @version: 1.0
/// @description:

import 'package:flutter/material.dart';

class FlCheckbox extends StatefulWidget {
  final String label;
  final bool value;
  final ValueChanged<bool?> onChanged;

  FlCheckbox(this.label, this.value, this.onChanged);

  @override
  _FlCheckboxState createState() => _FlCheckboxState();
}

class _FlCheckboxState extends State<FlCheckbox> {
  bool? _value;

  @override
  void didUpdateWidget(covariant FlCheckbox oldWidget) {
    _value = widget.value;
    super.didUpdateWidget(oldWidget);
  }

  @override
  void initState() {
    _value = widget.value;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    var result = Container(
      padding: EdgeInsets.all(20),
      child: Wrap(
        children: [
          Text(widget.label),
          Checkbox(
            value: _value,
            onChanged: (v) {
              this._value = v;
              widget.onChanged(v);
              setState(() {});
            },
          ),
        ],
      ),
    );
    return result;
  }
}
