/// @author: ygao
/// @date: 2023/4/21
/// @version: 1.0
/// @description:

import 'package:flutter/material.dart';

class FlFormField extends StatefulWidget {
  final double? width;
  final double? padding;
  final Function(FlFormFieldState) builder;

  FlFormField({
    Key? key,
    required this.builder,
    this.width,
    this.padding,
  }) : super(key: key);

  @override
  State<StatefulWidget> createState() => FlFormFieldState();
}

class FlFormFieldState extends State<FlFormField> {
  didChange() {
    setState(() {});
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(widget.padding ?? 20.0),
      width: widget.width ?? double.infinity,
      child: widget.builder(this),
    );
  }
}
