/// @author: ygao
/// @date: 2023/4/21
/// @version: 1.0
/// @description:

import 'package:rc_fl/routes/fl_router_delegate.dart';
import 'package:flutter/material.dart';

class FlRoute {
  FlRoute._();

  static FlRoute? _instance;

  static FlRoute get instance => _getInstance();

  static FlRoute _getInstance() {
    if (_instance == null) {
      _instance = FlRoute._();
    }
    return _instance!;
  }

  late FlRouterDelegate _flRouterDelegate;

  init(FlRouterDelegate flRouterDelegate) {
    _flRouterDelegate = flRouterDelegate;
  }

  push(Widget widget) => _flRouterDelegate.push(widget);

  pushNamed(String name) => _flRouterDelegate.pushNamed(name);

  pushNamedAndRemove(String name) => _flRouterDelegate.pushNamedAndRemove(name);

  popAndPushNamed(String name) => _flRouterDelegate.popAndPushNamed(name);

  pop() => _flRouterDelegate.pop();
}
