/// @author: ygao
/// @date: 2023/4/09
/// @version: 1.0
/// @description:

import 'dart:io';

import 'package:rc_fl/common/application_context.dart';
import 'package:rc_fl/fl.dart';
import 'package:rc_fl/model/fl_properties.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:fluttertoast/fluttertoast.dart';

class FlUtils {
  static OverlayEntry? loadingOE;

  static void message(String message, {int duration = 2}) {
    if (!kIsWeb && Platform.isWindows) {
      ScaffoldMessenger.of(FoundationalLibrary.context).hideCurrentSnackBar();
      ScaffoldMessenger.of(FoundationalLibrary.context).showSnackBar(SnackBar(
        content: Text(message),
      ));
    } else {
      Fluttertoast.showToast(
        msg: message,
        toastLength: Toast.LENGTH_SHORT,
        gravity: ToastGravity.CENTER,
        timeInSecForIosWeb: 1,
        backgroundColor: Colors.red,
        textColor: Colors.white,
        fontSize: 16.0,
      );
    }
  }

  static void loading({bool tapClose = false}) {
    if (loadingOE != null) {
      return;
    }
    var child = Container(
        child: tapClose
            ? InkWell(
                child: Center(child: CircularProgressIndicator()),
                onTap: () => loaded(),
              )
            : Center(
                child: CircularProgressIndicator(),
              ),
        decoration: new BoxDecoration(
          color: Colors.transparent,
        ));
    loadingOE = OverlayEntry(builder: (c) => child);

    Overlay.of(FoundationalLibrary.context)!.insert(loadingOE!);
  }

  static void loaded() {
    if (loadingOE == null) {
      return;
    }
    loadingOE!.remove();
    loadingOE = null;
  }

  static FlProperties getFlProperties() {
    FlProperties flProperties = ApplicationContext.instance.getBean('flProperties');
    return flProperties;
  }
}
